Bug 1167888 - [CENTOS7] packstack all in one install fails at MongoDB Service[mongodb]: Execution of '/usr/bin/systemctl start mongod' returned 1: Job for mongod.service failed
Summary: [CENTOS7] packstack all in one install fails at MongoDB Service[mongodb]: Exe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-puppet-modules
Version: Juno
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: Juno
Assignee: Gaël Chamoulaud
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-25 15:01 UTC by Gaël Chamoulaud
Modified: 2015-03-31 00:01 UTC (History)
9 users (show)

Fixed In Version: openstack-puppet-modules-2014.2.6-1 openstack-puppet-modules-2014.1.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-17 01:05:27 UTC


Attachments (Terms of Use)

Description Gaël Chamoulaud 2014-11-25 15:01:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. packstack --allinone --provision-all-in-one-ovs-bridge=n


Actual results:
ERROR : Error appeared during Puppet run: 200.7.4.253_mongodb.pp Error: Could not start Service[mongodb]: Execution of '/usr/bin/systemctl start mongod' returned 1: Job for mongod.service failed. See 'systemctl status mongod.service' and 'journalctl -xn' for details. You will find full trace in log /var/tmp/packstack/20141121-030314-aeb3_0/manifests/200.7.4.253_mongodb.pp.log

Additional info:
On CentOS 7, the pidfile for mongodb should be /var/run/mongodb/mongod.pid !!!!

Comment 1 Alan Pevec 2014-11-25 15:39:05 UTC
Which mongodb RPM do you have?

There was EPEL7 update where services were renamed:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3830/mongodb-2.6.5-2.el7

Comment 2 Gaël Chamoulaud 2014-11-25 17:37:57 UTC
mongodb-server-2.6.5-2.el7.x86_64

It will affect fedora 22 as well!

http://pkgs.fedoraproject.org/cgit/mongodb.git/commit/?id=2e5a1db501f5ebe7c522c34df534f068c976dafd

Comment 3 Blake Devcich 2014-11-26 19:52:19 UTC
I've found that adding the pid filepath to /usr/lib/python2.7/site-packages/packstack/puppet/templates/mongodb.pp works as a workaround.

I added the pidfilepath line.

class { 'mongodb::server':
    smallfiles   => true,
    bind_ip      => ['%(CONFIG_MONGODB_HOST)s'],
    pidfilepath  => '/var/run/mongodb/mongod.pid',
}

Comment 4 Neil Jerram 2014-11-28 13:18:26 UTC
I am seeing this problem too.

Comment 5 Gaël Chamoulaud 2014-11-30 13:23:38 UTC
A Pull Request has been sent upstream by Ivan Necas
https://github.com/puppetlabs/puppetlabs-mongodb/pull/148

Comment 6 Alan Pevec 2014-12-17 01:05:27 UTC
openstack-puppet-modules-2014.2.6-1 is available in the public RDO Juno repository

Comment 8 Alan Pevec 2015-03-27 22:15:22 UTC
RDO Icehouse update https://review.gerrithub.io/217314 pushed to stage, waiting for stage CI jobs to return before pushing live.

Comment 9 Alan Pevec 2015-03-31 00:01:16 UTC
RDO Icehouse update is now live.


Note You need to log in before you can comment on or make changes to this bug.